## ftplib 1

=== Makefile ===
TARGETS = qftp
OBJECTS = qftp.o ftplib.o
SOURCES = qftp.c ftplib.c
HEADERS = ftplib.h
OLDTARGETS = ftpdir ftpsend ftpget
OLDOBJECTS = ftpdir.o ftpsend.o ftpget.o
OLDSOURCES = ftpdir.c ftpsend.c ftpget.c

ifeq ($(SYSTYPE),OSF1)
CFLAGS = -std $(DEBUG) $(INCLUDES)
DEPFLAGS = -f .depend
endif
ifeq ($(SYSTYPE),Linux)
CFLAGS = -Wall $(DEBUG) $(INCLUDES)
DEPFLAGS =
endif

all : $(TARGETS)

old : $(OLDTARGETS)

clean :
	rm -f $(OBJECTS) $(OLDOBJECTS) core *.bak

clobber : clean
	rm -f $(TARGETS) $(OLDTARGETS) .depend

depend : $(SOURCES) $(HEADERS) $(OLDSOURCES)
ifeq ($(SYSTYPE),OSF1)
	touch .depend
	makedepend $(DEPFLAGS) -- $(CFLAGS) -- $(SOURCES) $(OLDSOURCES)
endif
ifeq ($(SYSTYPE),Linux)
	$(CC) $(CFLAGS) -M $(SOURCES) $(OLDSOURCES) > .depend
endif

ftplib.o qftp.o : ftplib.h

$(TARGETS) $(OLDTARGETS) : ftplib.o

ftpdir : ftpdir.o
	cc -o $@ $< ftplib.o

ftpsend : ftpsend.o
	cc -o $@ $< ftplib.o

ftpget : ftpget.o
	cc -o $@ $< ftplib.o

qftp : qftp.o
	cc -o $@ $< ftplib.o

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## ftplib 3

=== linux/Makefile ===
TARGETS = qftp
OBJECTS = qftp.o ftplib.o
SOURCES = qftp.c ftplib.c
HEADERS = ftplib.h
OLDTARGETS = ftpdir ftpsend ftpget
OLDOBJECTS = ftpdir.o ftpsend.o ftpget.o
OLDSOURCES = ftpdir.c ftpsend.c ftpget.c

# OSF1 (Digital Unix)
#CFLAGS = -std $(DEBUG) $(INCLUDES)
#DEPFLAGS = -f .depend

# Linux
CFLAGS = -Wall $(DEBUG) $(INCLUDES)
DEPFLAGS =

all : $(TARGETS)

old : $(OLDTARGETS)

clean :
	rm -f $(OBJECTS) $(OLDOBJECTS) core *.bak

clobber : clean
	rm -f $(TARGETS) $(OLDTARGETS) .depend

kit : clobber
	tar cfz $(PWD).tar.gz $(PWD)

depend :
ifeq ($(SYSTYPE),OSF1)
	touch .depend
	makedepend $(DEPFLAGS) -- $(CFLAGS) -- $(SOURCES) $(OLDSOURCES)
endif
ifeq ($(SYSTYPE),Linux)
	$(CC) $(CFLAGS) -M $(SOURCES) $(OLDSOURCES) > .depend
endif

ftplib.o qftp.o : ftplib.h

$(TARGETS) $(OLDTARGETS) : ftplib.o

ftpdir : ftpdir.o
	cc -o $@ $< ftplib.o

ftpsend : ftpsend.o
	cc -o $@ $< ftplib.o

ftpget : ftpget.o
	cc -o $@ $< ftplib.o

qftp : qftp.o
	cc -o $@ $< ftplib.o

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## ftplib 3.1-1

=== debian/changelog ===
ftplib (3.1-1-8) unstable; urgency=low

  * Convert to 3.0 (quilt) source format. Let's try it out for real and see
    how buildd copes with it.
  * Move an (unnoticed) Debian specific change in a new quilt patch with its
    DEP-3 compliant header.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 29 Oct 2009 17:07:46 +0100

ftplib (3.1-1-7) unstable; urgency=low

  * New maintainer. Closes: #353128
  * Fix the doc-base registration to mention section Programming and not
    Apps/Programming.
  * Fix RFC path given in README.Debian of ftplib-dev.
  * Add a symbols file for ftplib3.
  * Fix debian/html2man.py to escape dashes as \-.
  * Add a watch file indicating that upstream is not reliable in providing a
    consistent scheme for new releases (if any new release can be expected!).
  * Add Vcs-Git and Vcs-Browser URLs in debian/control.
  * Hardcode the dependency ftplib-dev → ftplib3 in debian/control
    instead of using debian/shlibs.local.
  * Drop Conflicts/Replaces fields introduced for a package split in 1998.
  * Update copyright file and add Homepage field.
  * Update Standards-Version to 3.8.3 (no supplementary changes needed).
  * Switch to debhelper 7 and tiny rules file.
  * Add a lintian override for package-name-doesnt-match-sonames as I don't
    plan to do a useless transition for now.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 04 Oct 2009 19:07:28 +0200

ftplib (3.1-1-6) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#353128); set maintainer to Debian QA Group.
  * Switch to debhelper.
  * Move ftplib-dev to libdevel in accordance with the override file.
  * Move qftp to /usr/lib/ftplib-dev/examples.
  * Move NOTES.qftp to /usr/share/doc/ftplib-dev/examples.
  * Replace /usr/share/doc/ftplib-dev/examples/README.qftp with a symlink
    to ../README.qftp.
  * Register documentation through doc-base rather than menu.
  * debian/Makefile.examples: Add symlinks for ftprm and ftplist.
  * debian/html2man.py: Create destination directory if necessary.
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/copyright: Update FSF address.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Thu,  9 Mar 2006 01:08:29 +0100

ftplib (3.1-1-5) unstable; urgency=low

  * Install NOTES file in ftplib-dev's documentation directory as
    NOTES.qftp
  * Don't compress very small documentation files (README.Debian, TODO).
  * Standards-Version 3.5.8.
  * Update package homepage and author's email address in debian/control.
  * debug -> noopt change: Build with debug support by default again.
  * Drop handling of /usr/doc symlink.
  * debian/rules: Get rid of double dependency of ftplib-dev on the
    runtime library, by munging the shlibdeps output for qftp.
  * debian/rules: Strip harder.

 -- Richard Braakman <dark@xs4all.nl>  Thu, 12 Dec 2002 05:30:33 +0200

ftplib (3.1-1-4) unstable; urgency=low

  * Change build dependency again from python-base (>= 1.5.2-4) to
    just python, because python-base no longer exists.  The package
    will still build on both potato and woody, because python-base
    in potato Provides: python.
    Thanks to Gregor Hoffleit for reporting the problem, and to
    David Kimdon for prodding me with a non-maintainer upload.
    (closes: bug#126079, doesn't build from source).

 -- Richard Braakman <dark@xs4all.nl>  Sat,  2 Feb 2002 00:47:42 +0200

ftplib (3.1-1-3) unstable; urgency=low

  * Change build dependency from python-net (>= 1.5) to
    python-base (>= 1.5.2-4), because python-net got merged in long ago.
    The package will still build on both potato and woody.
    Thanks to Ryan Murray for pointing this out.
    (closes: bug#100181, invalid build-depends).

 -- Richard Braakman <dark@xs4all.nl>  Sun, 10 Jun 2001 01:53:38 +0300

ftplib (3.1-1-2) unstable; urgency=low

  * Fixes bug spotted by Steve Fosdick.  ftplib could segfault if
    an unknown port was specified by name.

 -- Richard Braakman <dark@xs4all.nl>  Fri,  9 Feb 2001 12:13:11 +0200

ftplib (3.1-1-1) unstable; urgency=low

  * New upstream bugfixing patch.  It was available only as a patch.
    I applied it to the ftplib 3.1 sources and used that
    as the "upstream source" for this package.
  * (debian/copyright) Noted new location of upstream source.

 -- Richard Braakman <dark@xs4all.nl>  Fri,  2 Feb 2001 18:35:48 +0200

ftplib (3.1-2) unstable; urgency=low

  * Moved manpages and documentation to /usr/share.
  * Made debian/rules sensitive to DEB_BUILD_OPTIONS environment variable.
  * Handle /usr/doc compatibility symlinks in postinst and prerm.
  * Added Build-Depends.
  * Set Standards-Version to 3.2.1.

 -- Richard Braakman <dark@xs4all.nl>  Tue, 30 Jan 2001 20:07:30 +0200

ftplib (3.1-1) unstable; urgency=low

  * New upstream source.
  * (debian/rules) Use linux/Makefile again, since it includes my rules
    for making shared libraries.
  * (debian/Makefile.linux) Discarded.
  * (debian/shlibs.local) Updated minimum version to 3.1-1, because
    new functions were added to the lib.
  * (debian/rules) Install the symlinks recommended by README.qftp in
    /usr/doc/ftplib-dev/examples/, so that the example works right away.

 -- Richard Braakman <dark@xs4all.nl>  Tue,  7 Jul 1998 19:19:56 +0200

ftplib (3-4) unstable; urgency=low

  * (debian/NOTES) Noted source-dependency on python-net, for the benefit
    of people who want to recompile this package.

 -- Richard Braakman <dark@xs4all.nl>  Sun, 26 Apr 1998 20:56:12 +0200

ftplib (3-3) frozen unstable; urgency=low

  * Upgrade to Debian policy 2.4.1:
    Move ldconfig call from ftplib-dev postinst to ftplib3 postinst.
    Only call ldconfig if argument is "configure".

 -- Richard Braakman <dark@xs4all.nl>  Sun, 26 Apr 1998 20:56:12 +0200

ftplib (3-2) unstable; urgency=low

  * Put ftplib-dev in section devel, not libs.

 -- Richard Braakman <dark@xs4all.nl>  Sun, 15 Feb 1998 04:06:32 +0100

ftplib (3-1) unstable; urgency=low

  * New maintainer.


=== debian/control ===
Source: ftplib
Section: libs
Priority: optional
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.0.50~), python
Vcs-Git: git://git.debian.org/collab-maint/ftplib.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ftplib.git
Homepage: http://nbpfaus.net/~pfau/ftplib/

Package: ftplib3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library of callable ftp routines
 Ftplib presents a convenient C interface for the standard File
 Transfer Protocol (FTP).  It makes it easier for programmers to
 use file transfer in their programs.

Package: ftplib-dev
Section: libdevel
Architecture: any
Depends: ftplib3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Library of callable ftp routines (development)
 Ftplib makes it easier for C programmers to use file transfer in their
 programs.  This package is required to compile and link programs that
 use ftplib.  It includes an example command line utility for
 transferring files via ftp (RFC959).

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O2
else
	CFLAGS += -O0
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C linux DEBUG="$(DEBUG)"

override_dh_auto_clean:
	[ ! -f linux/Makefile ] || $(MAKE) -C linux clobber

override_dh_auto_install:
	python debian/html2man.py html/Ftp*.html \
				  debian/ftplib-dev/usr/share/man/man3

override_dh_compress:
	dh_compress -Xexamples

override_dh_link:
	dh_link
	cd debian/ftplib-dev/usr/share/doc/ftplib-dev \
		&& rm html/model.html \
		&& mv examples/Makefile.examples examples/Makefile \
		&& $(MAKE) -C examples

=== debian/watch ===
# Upstream is not reliable in using a consistent scheme for release
# http://nbpfaus.net/~pfau/ftplib/ is the main page but it currently
# doesn't respond anymore -- Raphael Hertzog on 20091004

## ftplib 4.0

=== src/Makefile ===
#
# This makefile contains modifications submitted by Richard Braakman
# (dark@xs4all.nl) for the shared library generation.
#

# By default, ftplib uses PASV.  If you need it to use  PORT
# instead, uncomment the next line
#DEFINES = -DFTPLIB_DEFMODE=FTPLIB_PORT

SONAME = 4
SOVERSION = $(SONAME).0

TARGETS = qftp libftp.so libftp.a qftp.static
OBJECTS = qftp.o ftplib.o
SOURCES = qftp.c ftplib.c

CFLAGS = -Wall $(DEBUG) -I. $(INCLUDES) $(DEFINES) -Wno-unused-variable -D_FILE_OFFSET_BITS=64 -D__unix__
LDFLAGS = -L.
DEPFLAGS =

all : $(TARGETS)

clean :
	rm -f $(OBJECTS) core *.bak
	rm -rf unshared 

clobber : clean
	rm -f $(TARGETS) .depend
	rm -f libftp.so.*

install : all
	install qftp /usr/local/bin
	install -m 644 libftp.so.$(SOVERSION) /usr/local/lib
	install -m 644 ftplib.h /usr/local/include
	(cd /usr/local/lib && \
	 ln -sf libftp.so.$(SOVERSION) libftp.so.$(SONAME) && \
	 ln -sf libftp.so.$(SONAME) libftp.so)
	-(cd /usr/local/bin && \
	  for f in ftpdir ftpget ftplist ftprm ftpsend; \
	  do ln -s qftp $$f; done)

depend :
	$(CC) $(CFLAGS) -M $(SOURCES) > .depend

# build without -fPIC
unshared/ftplib.o: ftplib.c ftplib.h
	test -d unshared || mkdir unshared
	$(CC) -c $(CFLAGS) -D_REENTRANT $< -o $@

static : libftp.a qftp.static

qftp.static : qftp.o libftp.a
	$(CC) -o $@ $< libftp.a

ftplib.o: ftplib.c ftplib.h
	$(CC) -c $(CFLAGS) -fPIC -D_REENTRANT $< -o $@

libftp.a: unshared/ftplib.o
	ar -rcs $@ $<

libftp.so.$(SOVERSION): ftplib.o
	$(CC) -shared -Wl,-soname,libftp.so.$(SONAME) -lc -o $@ $<

libftp.so: libftp.so.$(SOVERSION)
	ln -sf $< libftp.so.$(SONAME)
	ln -sf $< $@

qftp : qftp.o libftp.so ftplib.h
	$(CC) $(LDFLAGS) -o $@ $< -lftp

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## ftplib 4.0-1

=== debian/changelog ===
ftplib (4.0-1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add a working watch file.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 21 Jul 2016 12:44:32 +0200

ftplib (4.0-1-1) experimental; urgency=low

  * New upstream release.
    - Dropped debian/patches/check-getservbyname-failure
    - Refreshed debian/patches/fix-ascii-read-without-eol
    - All perror calls are now protected with "if (ftplib_debug)".
      Closes: #24429
    - License changed to Artistic-2.0.
  * Rename ftplib3 into libftp4 for SONAME bump.
  * Rename ftplib-dev into libftp-dev (with "Provides: ftplib-dev" to not break
    existing packages, and Replaces for smooth upgrade).
  * Drop debian-generated manual pages as debian/html2man.py no longer copes
    with the updated documentation. Keep only the HTML documentation.
    This also helps to make the build reproducible. Closes: #831645
  * Use ${misc:Pre-Depends} instead of hardcoding multiarch-support.
  * Update Vcs-* fields to use https.
  * Update symbols file:
    - DefaultNetbuf has been dropped
    - FtpSetCallback/FtpClearCallback have been added
    - net_read/net_write have been added (although they are
      likely private symbols)
  * Switch debhelper compat to 9.
  * Patch upstream Makefile to pass CFLAGS/CPPFLAGS/LDFLAGS (for proper
    hardening support).
  * Bump Standards-Version to 3.9.8.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 21 Jul 2016 12:17:12 +0200

ftplib (3.1-1-9) unstable; urgency=low

  * Add new patch debian/patches/fix-ascii-read-without-eol to fix a bug where
    FtpRead in ASCII mode would overwrite the first byte of data read with a
    NUL char if no EOL is found in the next block of data read.
  * Install library in multiarch path.
  * Set CFLAGS/LDFLAGS/CPPFLAGS via dpkg-buildflags.
  * Bump Standards-Version to 3.9.2.

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 11 Jun 2011 16:07:39 +0200

=== debian/control ===
Source: ftplib
Section: libs
Priority: optional
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9)
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ftplib.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ftplib.git
Homepage: http://nbpfaus.net/~pfau/ftplib/

Package: libftp4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library of callable ftp routines
 Ftplib presents a convenient C interface for the standard File
 Transfer Protocol (FTP).  It makes it easier for programmers to
 use file transfer in their programs.

Package: libftp-dev
Section: libdevel
Architecture: any
Depends: libftp4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: ftplib-dev
Provides: ftplib-dev
Description: Library of callable ftp routines (development)
 Ftplib makes it easier for C programmers to use file transfer in their
 programs.  This package is required to compile and link programs that
 use ftplib.  It includes an example command line utility for
 transferring files via ftp (RFC959).

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C src DEBUG="$(DEBUG)"

override_dh_auto_clean:
	$(MAKE) -C src clobber

override_dh_auto_install:
	mkdir -p debian/libftp4/usr/lib/$(DEB_HOST_MULTIARCH)
	cp -a src/libftp.so.* debian/libftp4/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p debian/libftp-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	cp -a src/libftp.a src/libftp.so debian/libftp-dev/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_compress:
	dh_compress -Xexamples

override_dh_link:
	dh_link
	cd debian/libftp-dev/usr/share/doc/libftp-dev \
		&& mv examples/Makefile.examples examples/Makefile \
		&& $(MAKE) -C examples

=== debian/watch ===
version=3
http://nbpfaus.net/~pfau/ftplib/ ftplib-(\d.*)\.tar\.gz
